Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble
Class Constants

    java.lang.Object
      net.sourceforge.pebble.Constants

    public class Constants

extends java.lang.Object

Contains constants for use in the presentation tier.

Author:
  Simon Brown

Field Summary
`static java.lang.String` | `ANY_ROLE`
`static java.lang.String` | `ARCHIVES`
`static java.lang.String` | `AUTHENTICATED_USER`
`static java.lang.String` | `BLOG_ADMIN_ROLE`
`static java.lang.String` | `BLOG_CONTRIBUTOR_ROLE`
`static java.lang.String` | `BLOG_ENTRIES`
`static java.lang.String` | `BLOG_ENTRY_KEY`
`static java.lang.String` | `BLOG_KEY`
`static java.lang.String` | `BLOG_MANAGER`
`static java.lang.String` | `BLOG_OWNER_ROLE`
`static java.lang.String` | `BLOG_PUBLISHER_ROLE`
`static java.lang.String` | `BLOG_READER_ROLE`
`static java.lang.String` | `BLOG_TYPE`
`static java.lang.String` | `BLOGS`
`static java.lang.String` | `CATEGORIES`
`static java.lang.String` | `CATEGORY_KEY`
`static java.lang.String` | `COMMENT_KEY`
`static java.lang.String` | `DAILY_BLOG`
`static java.lang.String` | `EXTERNAL_URI`
`static java.lang.String` | `FILTERS_APPLIED`
`static java.lang.String` | `INTERNAL_URI`
`static java.lang.String` | `MONTHLY_BLOG`
`static java.lang.String` | `MULTI_BLOG_KEY`
`static java.lang.String` | `PEBBLE_CONTEXT`
`static java.lang.String` | `PEBBLE_PROPERTIES`
`static java.lang.String` | `PLUGIN_PROPERTIES`
`static java.lang.String` | `RECENT_BLOG_ENTRIES`
`static java.lang.String` | `RECENT_RESPONSES`
`static java.lang.String` | `RESPONSES`
`static java.lang.String` | `STATIC_PAGE_KEY`
`static java.lang.String` | `TAGS`
`static java.lang.String` | `THEME`
`static java.lang.String` | `TITLE_KEY`
`static java.lang.String` | `USER_KEY`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLOG_KEY

    public static final java.lang.String BLOG_KEY

See Also:
  Constant Field Values

### MULTI_BLOG_KEY

    public static final java.lang.String MULTI_BLOG_KEY

See Also:
  Constant Field Values

### BLOG_TYPE

    public static final java.lang.String BLOG_TYPE

See Also:
  Constant Field Values

### BLOGS

    public static final java.lang.String BLOGS

See Also:
  Constant Field Values

### MONTHLY_BLOG

    public static final java.lang.String MONTHLY_BLOG

See Also:
  Constant Field Values

### DAILY_BLOG

    public static final java.lang.String DAILY_BLOG

See Also:
  Constant Field Values

### BLOG_ENTRIES

    public static final java.lang.String BLOG_ENTRIES

See Also:
  Constant Field Values

### RESPONSES

    public static final java.lang.String RESPONSES

See Also:
  Constant Field Values

### RECENT_BLOG_ENTRIES

    public static final java.lang.String RECENT_BLOG_ENTRIES

See Also:
  Constant Field Values

### RECENT_RESPONSES

    public static final java.lang.String RECENT_RESPONSES

See Also:
  Constant Field Values

### CATEGORIES

    public static final java.lang.String CATEGORIES

See Also:
  Constant Field Values

### TAGS

    public static final java.lang.String TAGS

See Also:
  Constant Field Values

### PLUGIN_PROPERTIES

    public static final java.lang.String PLUGIN_PROPERTIES

See Also:
  Constant Field Values

### ARCHIVES

    public static final java.lang.String ARCHIVES

See Also:
  Constant Field Values

### BLOG_ENTRY_KEY

    public static final java.lang.String BLOG_ENTRY_KEY

See Also:
  Constant Field Values

### STATIC_PAGE_KEY

    public static final java.lang.String STATIC_PAGE_KEY

See Also:
  Constant Field Values

### COMMENT_KEY

    public static final java.lang.String COMMENT_KEY

See Also:
  Constant Field Values

### BLOG_MANAGER

    public static final java.lang.String BLOG_MANAGER

See Also:
  Constant Field Values

### PEBBLE_CONTEXT

    public static final java.lang.String PEBBLE_CONTEXT

See Also:
  Constant Field Values

### PEBBLE_PROPERTIES

    public static final java.lang.String PEBBLE_PROPERTIES

See Also:
  Constant Field Values

### TITLE_KEY

    public static final java.lang.String TITLE_KEY

See Also:
  Constant Field Values

### CATEGORY_KEY

    public static final java.lang.String CATEGORY_KEY

See Also:
  Constant Field Values

### USER_KEY

    public static final java.lang.String USER_KEY

See Also:
  Constant Field Values

### EXTERNAL_URI

    public static final java.lang.String EXTERNAL_URI

See Also:
  Constant Field Values

### INTERNAL_URI

    public static final java.lang.String INTERNAL_URI

See Also:
  Constant Field Values

### FILTERS_APPLIED

    public static java.lang.String FILTERS_APPLIED

### AUTHENTICATED_USER

    public static java.lang.String AUTHENTICATED_USER

### THEME

    public static java.lang.String THEME

### BLOG_ADMIN_ROLE

    public static java.lang.String BLOG_ADMIN_ROLE

### BLOG_OWNER_ROLE

    public static java.lang.String BLOG_OWNER_ROLE

### BLOG_PUBLISHER_ROLE

    public static java.lang.String BLOG_PUBLISHER_ROLE

### BLOG_CONTRIBUTOR_ROLE

    public static java.lang.String BLOG_CONTRIBUTOR_ROLE

### BLOG_READER_ROLE

    public static java.lang.String BLOG_READER_ROLE

### ANY_ROLE

    public static java.lang.String ANY_ROLE

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.